from PyQt4.QtCore import *
from PyQt4.QtGui import *

class Test(QMainWindow):
    def __init__(self):
        QMainWindow.__init__(self)
        
        self.tabWidget = QTabWidget(self)

        self.td1 = QTextBrowser()
        self.td1.setHtml(50 * "Tab 1 - Tab 1 - Tab 1 <br />")

        self.td2 = QTextBrowser()
        self.td2.setHtml(50 * "Tab 2 - Tab 2 - Tab 2 <br />")

        self.sb1 = QStatusBar(self.td1)
        self.sb2 = QStatusBar(self.td2)

        self.sb1.showMessage("StatusBar for Tab 1")
        self.sb2.showMessage("StatusBar for Tab 2")
   
        self.tabWidget.addTab(self.td1, "Tab 1")
        self.tabWidget.addTab(self.td2, "Tab 2")

        self.setCentralWidget(self.tabWidget)

        self.setStatusBar(self.sb1)

        self.connect(self.tabWidget,  SIGNAL("currentChanged(int)"),  self.updateStatusBar)
        self.connect(self.td1.verticalScrollBar(), SIGNAL("valueChanged(int)"), self.valueChanged)

        self.show()

    def valueChanged(self, value):
        print "new value", value

    def updateStatusBar(self, index):
        if index == 0:
            print "value before is", self.td1.verticalScrollBar().value(), self.td1.verticalScrollBar().sliderPosition()
            self.statusBar().setParent(None)
            self.setStatusBar(self.sb1)
            print "value after statusbar is", self.td1.verticalScrollBar().value(), self.td1.verticalScrollBar().sliderPosition()
            #self.td1.verticalScrollBar().setSliderPosition(584)
            #self.td2.scroll(0, self.sb1.height())
            #print "value after scroll is", self.td1.verticalScrollBar().value(), self.td1.verticalScrollBar().sliderPosition()
        else:
            self.statusBar().setParent(None)
            self.setStatusBar(self.sb2)
            #self.td2.scroll(0, self.sb2.height())


app = QApplication([])
test = Test()
app.exec_()
